package com.mortals.xhx.module.platform.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:PlatformModelinfo
* date: 2021-9-3 10:13:58
*/
public class PlatformModelinfoQuery extends PlatformModelinfoEntity{
    private static final long serialVersionUID = 1630635238164L;
    /** 开始 菜单ID，主键，自增长 */
    private Long idStart;

    /** 结束 菜单ID，主键，自增长 */
    private Long idEnd;

    /** 增加 菜单ID，主键，自增长 */
    private Long idIncrement;

    /** 菜单ID，主键，自增长 */
    private List <Long> idList;


    /** 模型id */
    private List<String> modelIdList;

    /** 流程定义key */
    private List<String> processDefinitionKeyList;

    /**  */
    private List<String> nameList;

    /** 分类名称 */
    private List<String> categoryNameList;

    /** 模型key */
    private List<String> modelKeyList;

    /** 业务系统标识 */
    private List<String> platformSnList;

    /** bpmn模型xml文件 */
    private List<String> bpmnXmlList;

    /** 流程部署Id */
    private List<String> deployIdList;

    /** 关联动态表单Id */
    private List<String> formIdList;

    /** 开始 状态,1.未部署，2.已部署，3.停用 */
    private Integer statusStart;

    /** 结束 状态,1.未部署，2.已部署，3.停用 */
    private Integer statusEnd;

    /** 增加 状态,1.未部署，2.已部署，3.停用 */
    private Integer statusIncrement;

    /** 状态,1.未部署，2.已部署，3.停用 */
    private List <Integer> statusList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户 */
    private List <Long> createUserIdList;


    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PlatformModelinfoQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PlatformModelinfoQuery> andConditionList;


    public PlatformModelinfoQuery(){
    }

    /**
    * 获取 开始 菜单ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 菜单ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 菜单ID，主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 菜单ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 菜单ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 菜单ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 菜单ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 菜单ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 模型id
    * @return modelIdList
    */
    public List<String> getModelIdList(){
        return this.modelIdList;
    }

    /**
    * 设置 模型id
    * @param modelIdList
    */
    public void setModelIdList(List<String> modelIdList){
        this.modelIdList = modelIdList;
    }
    /**
    * 获取 流程定义key
    * @return processDefinitionKeyList
    */
    public List<String> getProcessDefinitionKeyList(){
        return this.processDefinitionKeyList;
    }

    /**
    * 设置 流程定义key
    * @param processDefinitionKeyList
    */
    public void setProcessDefinitionKeyList(List<String> processDefinitionKeyList){
        this.processDefinitionKeyList = processDefinitionKeyList;
    }
    /**
    * 获取 
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }
    /**
    * 获取 分类名称
    * @return categoryNameList
    */
    public List<String> getCategoryNameList(){
        return this.categoryNameList;
    }

    /**
    * 设置 分类名称
    * @param categoryNameList
    */
    public void setCategoryNameList(List<String> categoryNameList){
        this.categoryNameList = categoryNameList;
    }
    /**
    * 获取 模型key
    * @return modelKeyList
    */
    public List<String> getModelKeyList(){
        return this.modelKeyList;
    }

    /**
    * 设置 模型key
    * @param modelKeyList
    */
    public void setModelKeyList(List<String> modelKeyList){
        this.modelKeyList = modelKeyList;
    }
    /**
    * 获取 业务系统标识
    * @return platformSnList
    */
    public List<String> getPlatformSnList(){
        return this.platformSnList;
    }

    /**
    * 设置 业务系统标识
    * @param platformSnList
    */
    public void setPlatformSnList(List<String> platformSnList){
        this.platformSnList = platformSnList;
    }
    /**
    * 获取 bpmn模型xml文件
    * @return bpmnXmlList
    */
    public List<String> getBpmnXmlList(){
        return this.bpmnXmlList;
    }

    /**
    * 设置 bpmn模型xml文件
    * @param bpmnXmlList
    */
    public void setBpmnXmlList(List<String> bpmnXmlList){
        this.bpmnXmlList = bpmnXmlList;
    }
    /**
    * 获取 流程部署Id
    * @return deployIdList
    */
    public List<String> getDeployIdList(){
        return this.deployIdList;
    }

    /**
    * 设置 流程部署Id
    * @param deployIdList
    */
    public void setDeployIdList(List<String> deployIdList){
        this.deployIdList = deployIdList;
    }
    /**
    * 获取 关联动态表单Id
    * @return formIdList
    */
    public List<String> getFormIdList(){
        return this.formIdList;
    }

    /**
    * 设置 关联动态表单Id
    * @param formIdList
    */
    public void setFormIdList(List<String> formIdList){
        this.formIdList = formIdList;
    }
    /**
    * 获取 开始 状态,1.未部署，2.已部署，3.停用
    * @return statusStart
    */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
    * 设置 开始 状态,1.未部署，2.已部署，3.停用
    * @param statusStart
    */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
    * 获取 结束 状态,1.未部署，2.已部署，3.停用
    * @return statusEnd
    */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
    * 设置 结束 状态,1.未部署，2.已部署，3.停用
    * @param statusEnd
    */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
    * 获取 增加 状态,1.未部署，2.已部署，3.停用
    * @return statusIncrement
    */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
    * 设置 增加 状态,1.未部署，2.已部署，3.停用
    * @param statusIncrement
    */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
    * 获取 状态,1.未部署，2.已部署，3.停用
    * @return statusList
    */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
    * 设置 状态,1.未部署，2.已部署，3.停用
    * @param statusList
    */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
    return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
    this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
    return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
    this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
    return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
    this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
    return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        }
    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }


	/**
    * 设置  菜单ID，主键，自增长
    * @param id
    */
    public PlatformModelinfoQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 菜单ID，主键，自增长
    * @param idStart
    */
    public PlatformModelinfoQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 菜单ID，主键，自增长
    * @param idEnd
    */
    public PlatformModelinfoQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 菜单ID，主键，自增长
    * @param idIncrement
    */
    public PlatformModelinfoQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 菜单ID，主键，自增长
    * @param idList
    */
    public PlatformModelinfoQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }
	/**
    * 设置 模型id
    * @param modelId
    */
    public PlatformModelinfoQuery modelId(String modelId){
        setModelId(modelId);
		return this;
    }


    /**
    * 设置 模型id
    * @param modelIdList
    */
    public PlatformModelinfoQuery modelIdList(List<String> modelIdList){
        this.modelIdList = modelIdList;
		return this;
    }
	/**
    * 设置 流程定义key
    * @param processDefinitionKey
    */
    public PlatformModelinfoQuery processDefinitionKey(String processDefinitionKey){
        setProcessDefinitionKey(processDefinitionKey);
		return this;
    }


    /**
    * 设置 流程定义key
    * @param processDefinitionKeyList
    */
    public PlatformModelinfoQuery processDefinitionKeyList(List<String> processDefinitionKeyList){
        this.processDefinitionKeyList = processDefinitionKeyList;
		return this;
    }
	/**
    * 设置 
    * @param name
    */
    public PlatformModelinfoQuery name(String name){
        setName(name);
		return this;
    }


    /**
    * 设置 
    * @param nameList
    */
    public PlatformModelinfoQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }
	/**
    * 设置 分类名称
    * @param categoryName
    */
    public PlatformModelinfoQuery categoryName(String categoryName){
        setCategoryName(categoryName);
		return this;
    }


    /**
    * 设置 分类名称
    * @param categoryNameList
    */
    public PlatformModelinfoQuery categoryNameList(List<String> categoryNameList){
        this.categoryNameList = categoryNameList;
		return this;
    }
	/**
    * 设置 模型key
    * @param modelKey
    */
    public PlatformModelinfoQuery modelKey(String modelKey){
        setModelKey(modelKey);
		return this;
    }


    /**
    * 设置 模型key
    * @param modelKeyList
    */
    public PlatformModelinfoQuery modelKeyList(List<String> modelKeyList){
        this.modelKeyList = modelKeyList;
		return this;
    }
	/**
    * 设置 业务系统标识
    * @param platformSn
    */
    public PlatformModelinfoQuery platformSn(String platformSn){
        setPlatformSn(platformSn);
		return this;
    }


    /**
    * 设置 业务系统标识
    * @param platformSnList
    */
    public PlatformModelinfoQuery platformSnList(List<String> platformSnList){
        this.platformSnList = platformSnList;
		return this;
    }
	/**
    * 设置 bpmn模型xml文件
    * @param bpmnXml
    */
    public PlatformModelinfoQuery bpmnXml(String bpmnXml){
        setBpmnXml(bpmnXml);
		return this;
    }


    /**
    * 设置 bpmn模型xml文件
    * @param bpmnXmlList
    */
    public PlatformModelinfoQuery bpmnXmlList(List<String> bpmnXmlList){
        this.bpmnXmlList = bpmnXmlList;
		return this;
    }
	/**
    * 设置 流程部署Id
    * @param deployId
    */
    public PlatformModelinfoQuery deployId(String deployId){
        setDeployId(deployId);
		return this;
    }


    /**
    * 设置 流程部署Id
    * @param deployIdList
    */
    public PlatformModelinfoQuery deployIdList(List<String> deployIdList){
        this.deployIdList = deployIdList;
		return this;
    }
	/**
    * 设置 关联动态表单Id
    * @param formId
    */
    public PlatformModelinfoQuery formId(String formId){
        setFormId(formId);
		return this;
    }


    /**
    * 设置 关联动态表单Id
    * @param formIdList
    */
    public PlatformModelinfoQuery formIdList(List<String> formIdList){
        this.formIdList = formIdList;
		return this;
    }
	
	/**
    * 设置  状态,1.未部署，2.已部署，3.停用
    * @param status
    */
    public PlatformModelinfoQuery status(Integer status){
        setStatus(status);
		return this;
    }

    /**
    * 设置 开始 状态,1.未部署，2.已部署，3.停用
    * @param statusStart
    */
    public PlatformModelinfoQuery statusStart(Integer statusStart){
        this.statusStart = statusStart;
		return this;
    }


    /**
    * 设置 结束 状态,1.未部署，2.已部署，3.停用
    * @param statusEnd
    */
    public PlatformModelinfoQuery statusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
		return this;
    }


    /**
    * 设置 增加 状态,1.未部署，2.已部署，3.停用
    * @param statusIncrement
    */
    public PlatformModelinfoQuery statusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
		return this;
    }


    /**
    * 设置 状态,1.未部署，2.已部署，3.停用
    * @param statusList
    */
    public PlatformModelinfoQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public PlatformModelinfoQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public PlatformModelinfoQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }

	/**
    * 设置  创建用户
    * @param createUserId
    */
    public PlatformModelinfoQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public PlatformModelinfoQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public PlatformModelinfoQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public PlatformModelinfoQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public PlatformModelinfoQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }
	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public PlatformModelinfoQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }


    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public PlatformModelinfoQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<PlatformModelinfoQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<PlatformModelinfoQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<PlatformModelinfoQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<PlatformModelinfoQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}